Get user info by auth token
Retrieve Twitter user info using the provided auth token.
Back to API Reference
/Cookie Endpoints
GET
/twitter/{auth_token}/user_infoAuthorization
AuthorizationBearer token · headerrequiredGlobal API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Path Parameters
auth_tokenstringrequiredResponses
200Twitter user info
codeintegerrequiredmsgstringrequireddataUserInfo | anyrequiredShow propertiesHide properties
Any of:
UserInfo
userIdstringrequiredUser ID
isBlueVerifiedbooleanrequiredBlue verification status
createdAtstringrequiredAccount creation date
createdAtDatetimestring | anyAccount creation datetime in ISO format
Show propertiesHide properties
Any of:
string
stringany
anydefaultProfilebooleanrequiredDefault profile flag
defaultProfileImagebooleanrequiredDefault profile image flag
descriptionstringrequiredBio description
locationstringrequiredLocation
fastFollowersCountintegerrequiredFast followers count
favouritesCountintegerrequiredLikes count
followersCountintegerrequiredFollowers count
followingCountintegerrequiredFollowing count
hasCustomTimelinesbooleanrequiredHas custom timelines flag
isTranslatorbooleanrequiredIs translator flag
listedCountintegerrequiredListed count
mediaCountintegerrequiredMedia count
namestringrequiredDisplay name
normalFollowersCountintegerrequiredNormal followers count
pinnedTweetIdsStrany[] | anyPinned tweet IDs
Show propertiesHide properties
Any of:
any[]
Array of
anyanyany
anypossiblySensitivebooleanrequiredPossibly sensitive flag
profileImageUrlHttpsstringrequiredProfile image URL
usernamestringrequiredUsername
statusesCountintegerrequiredTweets count
translatorTypestring | anyTranslator type
Show propertiesHide properties
Any of:
string
stringany
anyverifiedbooleanrequiredLegacy verification status
verified_typestring | anyVerification badge type: blue, business, government, etc.
Show propertiesHide properties
Any of:
string
stringany
anywithheldInCountriesany[] | anyWithheld in countries
Show propertiesHide properties
Any of:
any[]
Array of
anyanyany
anyprotectedbooleanrequiredProtected account flag
urlstring | anyUser profile URL
Show propertiesHide properties
Any of:
string
stringany
anydescriptionUrlsany[] | anyDescription URLs
Show propertiesHide properties
Any of:
any[]
Array of
anyanyany
anyurlsany[] | anyUser URLs
Show propertiesHide properties
Any of:
any[]
Array of
anyanyany
anypinnedTweetIdsany[] | anyPinned tweet IDs
Show propertiesHide properties
Any of:
any[]
Array of
anyanyany
anyany
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobject⚡Interactive ConsoleGET
⚡Interactive Console / Try APIGETLive Console
🌐Target Server:
https://api.twexapi.io● Production Ready
✍️
Write Operation Credentials Guide (TwexAPI Key + Twitter Cookie)
1. TwexAPI Platform Key (Bearer Token): Enter under "API Authorization" below for request billing & authentication.
2. Twitter Account Cookie: For write operations (tweet, like, follow, etc.), provide the target Twitter account's Cookie (e.g. auth_token=...; ct0=...) in the cookie field of Request Body below.
🔑API Authorization
⚙️Parameters (1)
📡
No Response Yet
Configure parameters in the Request tab and click Send Request below.
Request
curl -X GET "https://api.twexapi.io/twitter/string/user_info" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.twexapi.io/twitter/string/user_info", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.twexapi.io/twitter/string/user_info",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"code": 0,
"msg": "string",
"data": {
"userId": "string",
"isBlueVerified": true,
"createdAt": "string",
"createdAtDatetime": "string",
"defaultProfile": true,
"defaultProfileImage": true,
"description": "string",
"location": "string",
"fastFollowersCount": 0,
"favouritesCount": 0,
"followersCount": 0,
"followingCount": 0,
"hasCustomTimelines": true,
"isTranslator": true,
"listedCount": 0,
"mediaCount": 0,
"name": "string",
"normalFollowersCount": 0,
"pinnedTweetIdsStr": [
null
],
"possiblySensitive": true,
"profileImageUrlHttps": "string",
"username": "string",
"statusesCount": 0,
"translatorType": "string",
"verified": true,
"verified_type": "blue",
"withheldInCountries": [
null
],
"protected": true,
"url": "string",
"descriptionUrls": [
null
],
"urls": [
null
],
"pinnedTweetIds": [
null
]
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}